function embed_mkv(link_info) {
	if (typeof link_info.extension !== "string") {
		return;
	}

	const is_mkv = link_info.extension?.toLowerCase().indexOf("mkv") === 1;

	if (!is_mkv) {
		return;
	}

	return `<div class="embed-container video letterbox"><video autostart="0" controls="true"><source src="${link_info.url}" type="video/mp4"><a href="${link_info.url}">${link_info.url}</a></video></div>`;
}
